package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.ms.GarbageRegionModel;

import java.util.List;

public interface IMSWaterQualityService {
    List list(String tableType, BaseExample.Page pager);

    long queryCount(String tableType);

    <V> ResultState  add(V e, boolean isEdit);

    Object findById(String tableType, Long id);

    ResultState delete(String tableType, Long id);

    List<GarbageRegionModel> regionList(BaseExample.Page pager);

    long regionCount(BaseExample.Page pager);

    GarbageRegionModel findByRegionId(Long id);

    ResultState doAdd(GarbageRegionModel garbageRegionModel, boolean isEdit);

    ResultState del(Long id, Long regionId);
}
